## pgbackrest 2.10

=== src/Makefile ===
####################################################################################################################################
# pgBackRest Makefile
####################################################################################################################################

####################################################################################################################################
# Compile options
####################################################################################################################################
CC=gcc

# Compile using C99 and Posix 2001 standards (also _DARWIN_C_SOURCE for MacOS)
CSTD = -std=c99 -D_POSIX_C_SOURCE=200112L -D_DARWIN_C_SOURCE

# Compile optimizations
COPT = -O2

# Locations of header files
CINCLUDE = -I. -I../libc

# Compile warnings
CWARN = -Wfatal-errors -Wall -Wextra -Wwrite-strings -Wswitch-enum -Wconversion -Wformat=2 -Wformat-nonliteral \
		-Wno-clobbered -Wno-missing-field-initializers -Wstrict-prototypes -Wpointer-arith -Wvla

# Automatically generate Perl compile options for the local system
CPERL = `perl -MExtUtils::Embed -e ccopts` -DWITH_PERL

# Automatically generate xml compile options for the local system
CXML = `xml2-config --cflags`

# Debug options
CDEBUG = -DNDEBUG

# Extra compile options to be set by caller
CEXTRA =

# Concatenate options for easy usage
CFLAGS = $(CINCLUDE) $(CSTD) $(COPT) $(CWARN) $(CXML) $(CPERL) $(CDEBUG) $(CEXTRA)

####################################################################################################################################
# Link options
####################################################################################################################################
# Automatically generate Perl linker options for the local system
LDPERL = `perl -MExtUtils::Embed -e ldopts`

# Extra linker options to be set by caller
LDEXTRA =

# Concatenate options for easy usage
LDFLAGS = -lcrypto -lssl -lxml2 -lz $(LDPERL) $(LDEXTRA)

####################################################################################################################################
# Install options
####################################################################################################################################
# Modify destination install directory
DESTDIR =

####################################################################################################################################
# List of required source files.  main.c should always be listed last and the rest in alpha order.
####################################################################################################################################
SRCS = \
	command/archive/common.c \
	command/archive/get/file.c \
	command/archive/get/get.c \
	command/archive/push/push.c \
	command/help/help.c \
	command/info/info.c \
	command/command.c \
	command/control/control.c \
	common/debug.c \
	common/encode.c \
	common/encode/base64.c \
	common/error.c \
	common/exec.c \
	common/exit.c \
	common/fork.c \
	common/io/bufferRead.c \
	common/io/bufferWrite.c \
	common/io/filter/buffer.c \
	common/io/filter/filter.c \
	common/io/filter/group.c \
	common/io/filter/size.c \
	common/io/handleRead.c \
	common/io/handleWrite.c \
	common/io/http/client.c \
	common/io/http/common.c \
	common/io/http/header.c \
	common/io/http/query.c \
	common/io/io.c \
	common/io/read.c \
	common/io/tls/client.c \
	common/io/write.c \
	common/ini.c \
	common/lock.c \
	common/log.c \
	common/memContext.c \
	common/regExp.c \
	common/stackTrace.c \
	common/time.c \
	common/type/buffer.c \
	common/type/convert.c \
	common/type/json.c \
	common/type/keyValue.c \
	common/type/list.c \
	common/type/string.c \
	common/type/stringList.c \
	common/type/variant.c \
	common/type/variantList.c \
	common/type/xml.c \
	common/wait.c \
	compress/gzip.c \
	compress/gzipCompress.c \
	compress/gzipDecompress.c \
	config/config.c \
	config/define.c \
	config/exec.c \
	config/load.c \
	config/parse.c \
	crypto/cipherBlock.c \
	crypto/hash.c \
	crypto/crypto.c \
	info/info.c \
	info/infoArchive.c \
	info/infoBackup.c \
	info/infoManifest.c \
	info/infoPg.c \
	perl/config.c \
	perl/exec.c \
	postgres/interface.c \
	postgres/interface/v083.c \
	postgres/interface/v084.c \
	postgres/interface/v090.c \
	postgres/interface/v091.c \
	postgres/interface/v092.c \
	postgres/interface/v093.c \
	postgres/interface/v094.c \
	postgres/interface/v095.c \
	postgres/interface/v096.c \
	postgres/interface/v100.c \
	postgres/interface/v110.c \
	postgres/pageChecksum.c \
	protocol/client.c \
	protocol/helper.c \
	storage/driver/posix/storage.c \
	storage/driver/posix/common.c \
	storage/driver/posix/fileRead.c \
	storage/driver/posix/fileWrite.c \
	storage/driver/remote/fileRead.c \
	storage/driver/remote/storage.c \
	storage/driver/s3/fileRead.c \
	storage/driver/s3/storage.c \
	storage/fileRead.c \
	storage/fileWrite.c \
	storage/helper.c \
	storage/storage.c \
	main.c

# Create obj list from source list
OBJS=$(SRCS:.c=.o)

####################################################################################################################################
# Compile and link
####################################################################################################################################
pgbackrest: $(OBJS)
	$(CC) -o pgbackrest $(OBJS) $(LDFLAGS)

####################################################################################################################################
# Installation.  DESTDIR can be used to modify the install location.
####################################################################################################################################
install: pgbackrest
	install -d $(DESTDIR)/usr/bin
	install -m 755 pgbackrest $(DESTDIR)/usr/bin

####################################################################################################################################
# Compile rules
####################################################################################################################################
command/archive/common.o: command/archive/common.c command/archive/common.h common/assert.h common/debug.h common/error.auto.h common/error.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/log.h common/logLevel.h common/memContext.h common/regExp.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h postgres/version.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/archive/common.c -o command/archive/common.o

command/archive/get/file.o: command/archive/get/file.c command/archive/common.h command/archive/get/file.h command/control/control.h common/assert.h common/debug.h common/error.auto.h common/error.h common/ini.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h compress/gzip.h compress/gzipDecompress.h config/config.auto.h config/config.h config/define.auto.h config/define.h crypto/cipherBlock.h crypto/crypto.h info/infoArchive.h info/infoPg.h postgres/interface.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/archive/get/file.c -o command/archive/get/file.o

command/archive/get/get.o: command/archive/get/get.c command/archive/common.h command/archive/get/file.h command/command.h common/assert.h common/debug.h common/error.auto.h common/error.h common/fork.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/regExp.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h config/config.auto.h config/config.h config/define.auto.h config/define.h config/load.h crypto/crypto.h perl/exec.h postgres/interface.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/archive/get/get.c -o command/archive/get/get.o

command/archive/push/push.o: command/archive/push/push.c command/archive/common.h command/command.h common/assert.h common/debug.h common/error.auto.h common/error.h common/fork.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h config/config.auto.h config/config.h config/define.auto.h config/define.h config/load.h perl/exec.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/archive/push/push.c -o command/archive/push/push.o

command/command.o: command/command.c common/assert.h common/debug.h common/error.auto.h common/error.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h version.h
	$(CC) $(CFLAGS) -c command/command.c -o command/command.o

command/control/control.o: command/control/control.c command/control/control.h common/assert.h common/debug.h common/error.auto.h common/error.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/control/control.c -o command/control/control.o

command/help/help.o: command/help/help.c common/assert.h common/debug.h common/error.auto.h common/error.h common/io/filter/filter.h common/io/filter/group.h common/io/handleWrite.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h version.h
	$(CC) $(CFLAGS) -c command/help/help.c -o command/help/help.o
