=== debian/changelog ===
pgbackrest (2.10-1) unstable; urgency=medium

  [ Adrian Vondendriesch ]
  * Bug Fixes:
    - Add unimplemented S3 driver method required for archive-get.
    - Fix check for improperly configured pg-path.
  [ Christoph Berg ]
  * Update PostgreSQL Maintainers address.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 11 Feb 2019 19:00:50 +0100

pgbackrest (2.08-2) unstable; urgency=medium

  * Change default permissions of newly created pgbackrest directories and
    config files. (Closes: #920268)
    - Especially /var/lib/pgbackrest might contain sensitive information
      and shouldn't be readable by others. Change default permissions to
      0750.
    - /etc/pgbackrest.conf might contain encryption keys. Change default
      permissions to 0640.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 23 Jan 2019 14:33:15 +0100

pgbackrest (2.08-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Remove request for S3 object info directly after putting it.
      * Correct archive-get-queue-max to be size type.
      * Add error message when current user uid/gid does not map to a name.
      * Error when --target-action=shutdown specified for PostgreSQL < 9.5.
    - Improvements:
      * Set TCP keepalives on S3 connections.
      * Reorder info command text output so most recent backup is output last.
      * Change file ownership only when required.
      * Redact authentication header when throwing S3 errors.
  * d/control:
    - Add libxml2-dev to B-D
    - Bump Standards-Version to 4.3.0
    - Slightly improve package long description

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 07 Jan 2019 17:39:12 +0100

pgbackrest (2.07-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix issue with archive-push-queue-max not being honored on connection
        error.
      * Fix static WAL segment size used to determine if
        archive-push-queue-max has been exceeded.
      * Fix error after log file open failure when processing should continue.
    - Features:
      * Automatically enable backup checksum delta when anomalies (e.g.
        timeline switch) are detected.
    - Improvements:
      * Retry all S3 5xx errors rather than just 500 internal errors.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 18 Nov 2018 13:37:00 +0100

pgbackrest (2.06-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix missing URI encoding in S3 driver.
      * Fix incorrect error message for duplicate options in configuration
        files.
      * Fix incorrectly reported error return in info logging. A return code
        of 1 from the archive-get was being logged as an error message at info
        level but otherwise worked correctly.
    - Features:
      * Add checksum delta for incremental backups which uses checksums rather
        than timestamps to determine if files have changed.
      * PostgreSQL 11 support, including configurable WAL segment size.
    - Improvements:
      * Ignore all files in a linked tablespace directory except the
        subdirectory for the current version of PostgreSQL. Previously an
        error would be generated if other files were present and not owned by
        the PostgreSQL user.
      * Improve info command to display the stanza cipher type.
      * Improve support for special characters in filenames.
      * Allow delta option to be specified in the pgBackRest configuration
        file.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 16 Oct 2018 19:01:33 +0200

pgbackrest (2.05-1) unstable; urgency=medium

  * d/control: Add zlib1g-dev to B-D.
  * New Upstream release:
    - Bug Fixes:
      * Fix issue where relative links in $PGDATA could be stored in the
        backup with the wrong path. This issue did not affect
        absolutelinks and relative tablespace links were caught by other
        checks.
      * Remove incompletely implemented online option from the check
        command. Offline operation runs counter to the purpose of this
        command, which is to check if archiving and backups are working
        correctly.
      * Fix issue where errors raised in C were not logged when called
        from Perl. pgBackRest properly terminated with the correct error
    	code but lacked an error message to aid in debugging.
      * Fix issue when a boolean option (e.g. delta) was specified more
        than once.
    - Features:
      * Allow any option to be set in an environment variable. This
        includes options that previously could only be specified on the
        command line, e.g. stanza, and secret options that could not be
        specified on the command-line, e.g. repo1-s3-key-secret.
      * Exclude temporary and unlogged relation (table/index) files from
        backup. Implemented using the same logic as the patches adding
        this feature to PostgreSQL, 8694cc96 and 920a5e50. Temporary
        relation exclusion is enabled in PostgreSQL ≥ 9.0. Unlogged
        relation exclusion is enabled in PostgreSQL ≥ 9.1, where the
        feature was introduced.
      * Allow arbitrary directories and/or files to be excluded from a
        backup. Misuse of this feature can lead to inconsistent backups so
        read the --exclude documentation carefully before using.
      * Add log-subprocess option to allow file logging for local and
        remote subprocesses.
      * PostgreSQL 11 Beta 3 support.
    - Improvements:
      * Allow zero-size files in backup manifest to reference a prior
        manifest regardless of timestamp delta.
      * Improve asynchronous archive-get/archive-push performance by
        directly checking status files.
      * Improve error message when a command is missing the stanza option.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 03 Sep 2018 20:35:16 +0200
