=== debian/control ===
Source: pgbackrest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper (>= 9),
               libio-socket-ssl-perl,
               libperl-dev,
               libssl-dev,
               libxml-checker-perl,
               libxml-libxml-perl,
	       libxml2-dev,
               txt2man,
	       zlib1g-dev
Standards-Version: 4.3.0
Homepage: http://www.pgbackrest.org/
Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest

Package: pgbackrest
Architecture: any
Depends: libdbd-pg-perl,
         postgresql-common,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: libio-socket-ssl-perl, libxml-libxml-perl, pgbackrest-doc
Description: Reliable PostgreSQL Backup & Restore
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
 .
 This package contains all required binaries, scripts and libraries.

Package: pgbackrest-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation package for pgbackrest
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
 .
 The pgBackRest documentation contains detailed information about the
 configuration and usage of pgBackRest.
