## pgbackrest 2.16

=== debian/changelog ===
pgbackrest (2.16-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Retry S3 RequestTimeTooSkewed errors instead of immediately
      terminating.
      * Fix incorrect handling of transfer-encoding response to HEAD request.
      * Fix scoping violations exposed by optimizations in gcc 9.
    - Features:
      * Add repo-s3-port option for setting a non-standard S3 service port.
    - Improvements:
      * The local command for backup is implemented entirely in C.
      * The check command is implemented partly in C.
  * Adjust dependencies.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 08 Aug 2019 20:33:32 +0200

pgbackrest (2.15.1-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix archive retention expiring too aggressively.
    - Improvements:
      * The expire command is implemented entirely in C.
      * The local command for restore is implemented entirely in C.
      * Remove hard-coded PostgreSQL user so $PGUSER works.
      * Honor configure --prefix option.
      * Rename repo-s3-verify-ssl option to repo-s3-verify-tls. The new name is
        preferred because pgBackRest does not support any SSL protocol versions
        (they are all considered to be insecure). The old name will continue to
        be accepted.
    - Documentation Improvements:
      * Add FAQ to the documentation.
      * Use wal_level=replica in the documentation for PostgreSQL ≥ 9.6.
  * d/rules: Use --prefix parameter in configure script.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 27 Jun 2019 15:58:27 +0200

pgbackrest (2.14-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix segfault when process-max > 8 for archive-push/archive-get.
    - Improvements:
      * Bypass database checks when stanza-delete issued with force.
      * Add configure script for improved multi-platform support.
    - Documentation Features:
      * Add user guides for CentOS/RHEL 6/7.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 31 May 2019 13:30:11 +0200

pgbackrest (2.13-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix zero-length reads causing problems for IO filters that did not
        expect them.
      * Fix reliability of error reporting from local/remote processes.
      * Fix Posix/CIFS error messages reporting the wrong filename on
        write/sync/close.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 19 Apr 2019 10:26:04 +0200

pgbackrest (2.12-1) unstable; urgency=medium

  * d/rules. Add hardening flags "+all".
  * New Upstream release:
    - IMPORTANT NOTE: The new TLS/SSL implementation forbids dots in S3
      bucket names per RFC-2818. This security fix is required for compliant
      hostname verification.
    - Bug Fixes:
      * Fix issues when a path option is / terminated.
      * Fix issues when log-level-file=off is set for the archive-get command.
      * Fix C code to recognize host:port option format like Perl does.
      * Fix issues with remote/local command logging options.
    - Improvements:
      * The archive-push command is implemented entirely in C.
      * Increase process-max limit to 999.
      * Improve error message when an S3 bucket name contains dots.
    - Documentation Improvements:
      * Clarify that S3-compatible object stores are supported.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 13 Apr 2019 17:09:19 +0200

pgbackrest (2.11-1) unstable; urgency=medium

  * Update d/rules to represent Makefile changes.
  * New Upstream release:
    - Bug Fixes:
      * Fix possible truncated WAL segments when an error occurs
        mid-write.
      * Fix info command missing WAL min/max when stanza specified.
      * Fix non-compliant JSON for options passed from C to Perl.
    - Improvements:
      * The archive-get command is implemented entirely in C.
      * Enable socket keep-alive on older Perl versions.
      * Error when parameters are passed to a command that does not accept
        parameters.
      * Add hints when unable to find a WAL segment in the archive.
      * Improve error when hostname cannot be found in a certificate.
      * Add additional options to backup.manifest for debugging purposes.
    - Documentation Improvements:
      * Update default documentation version to PostgreSQL 10.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 12 Mar 2019 11:18:19 +0100
