=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9),
-               libio-socket-ssl-perl,
                libperl-dev,
+               libpq-dev,
                libssl-dev,
                libxml-checker-perl,
-               libxml-libxml-perl,
-	       libxml2-dev,
+               libxml2-dev,
                txt2man,
-	       zlib1g-dev
+               zlib1g-dev
 Standards-Version: 4.3.0
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
@@ -19,12 +18,12 @@
 
 Package: pgbackrest
 Architecture: any
-Depends: libdbd-pg-perl,
+Depends: perl,
          postgresql-common,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Suggests: libio-socket-ssl-perl, libxml-libxml-perl, pgbackrest-doc
+Suggests: pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
  that can seamlessly scale up to the largest databases and workloads.
