## pgbackrest 2.23

=== debian/changelog ===
pgbackrest (2.23-1) unstable; urgency=medium

  * New Upstream Release (Closes: #949425)
    - Bug Fixes:
      * Fix missing files corrupting the manifest. If a file was removed by
        PostgreSQL during the backup (or was missing from the standby) then
        the next file might not be copied and updated in the manifest. If this
        happened then the backup would error when restored.
    - Improvements:
      * Use pkg-config instead of xml2-config for libxml2 build options.
      * Validate checksums are set in the manifest on backup/restore.
  * debian/control: Add pkg-config to B-D.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 27 Jan 2020 18:08:12 +0100

pgbackrest (2.22-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix error in timeline conversion. The timeline is required to verify
        WAL segments in the archive after a backup. The conversion was
        performed base 10 instead of 16, which led to errors when the timeline
        was ≥ 0xA.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 22 Jan 2020 10:08:22 +0100

pgbackrest (2.21-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix options being ignored by asynchronous commands. The asynchronous
        archive-get/archive-push processes were not loading options configured
        in command configuration sections, e.g. [global:archive-get].
      * Fix handling of \ in filenames. \ was not being properly escaped when
        calculating the manifest checksum which prevented the manifest from
        loading. Since instances of \ in cluster filenames should be rare to
        nonexistent this does not seem likely to be a serious problem in the
        field.
    - Features:
      * pgBackRest is now pure C.
      * Add pg-user option. Specifies the database user name when connecting
        to PostgreSQL. If not specified pgBackRest will connect with the local
        OS user or PGUSER, which was the previous behavior.
      * Allow path-style URIs in S3 driver.
    - Improvements:
      * The backup command is implemented entirely in C.
  * debian/copyright: update copyright dates
  * debian/control:
      - Add Rules-Requires-Root.
      - Update Standards-Version to 4.4.0 (no changes required).
      - Remove libperl-dev B-D.
      - Remove perl dependency.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 18 Jan 2020 20:22:03 +0100

pgbackrest (2.20-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix archive-push/archive-get when PGDATA is symlinked. These commands
        tried to use cwd() as PGDATA but this would disagree with the path
        configured in pgBackRest if PGDATA was symlinked. If cwd() does not
        match the pgBackRest path then chdir() to the path and make sure the
        next cwd() matches the result from the first call.
      * Fix reference list when backup.info is reconstructed in expire
        command. Since the backup command is still using the Perl version of
        reconstruct this issue will not express unless 1) there is a backup
        missing from backup.info and 2) the expire command is run directly
        instead of running after backup as usual. This unlikely combination of
        events means this is probably not a problem in the field.
      * Fix segfault on unexpected EOF in gzip decompression.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 13 Dec 2019 21:16:34 +0100

pgbackrest (2.19-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix remote timeout in delta restore. When performing a delta restore
        on a largely unchanged cluster the remote could timeout if no files were
        fetched from the repository within protocol-timeout. Add keep-alives to
        prevent remote timeout.
      * Fix handling of repeated HTTP headers. When HTTP headers are repeated
        they should be considered equivalent to a single comma-separated header
        rather than generating an error, which was the prior behavior.
    - Improvements:
      * JSON output from the info command is no longer pretty-printed.
        Monitoring systems can more easily ingest the JSON without linefeeds.
        External tools such as jq can be used to pretty-print if desired.
      * The check command is implemented entirely in C.
    - Documentation Improvements:
      * Document how to contribute to pgBackRest.
      * Document maximum version for auto-stop option.
    - Test Suite Improvements:
      * Fix container test path being used when --vm=none.
      * Fix mismatched timezone in expect test.
      * Don't autogenerate embedded libc code by default.
  * d/patches: Update ppc64le patch.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 15 Nov 2019 19:46:21 +0100

pgbackrest (2.18-1) unstable; urgency=medium

  * New Upstream Release:
    - Features:
      * PostgreSQL 12 support.
      * Add info command set option for detailed text output. The additional
        details include databases that can be used for selective restore and a
        list of tablespaces and symlinks with their default destinations.
      * Add standby restore type. This restore type automatically adds
        standby_mode=on to recovery.conf for PostgreSQL < 12 and creates
        standby.signal for PostgreSQL ≥ 12, creating a common interface between
        PostgreSQL versions.
    - Improvements:
      * The restore command is implemented entirely in C.
    - Documentation Improvements:
      * Document the relationship between db-timeout and protocol-timeout.
      * Add documentation clarifications regarding standby repositories.
      * Add FAQ for time-based Point-in-Time Recovery.
  * d/pgbackrest.logrotate: Adjust logrotate conf. Add missing copytruncate.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 28 Oct 2019 17:41:53 +0100


