=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 9),
-               libperl-dev,
+               perl,
                libpq-dev,
                libssl-dev,
                libxml-checker-perl,
                libxml2-dev,
+	       pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest
 
 Package: pgbackrest
 Architecture: any
-Depends: perl,
-         postgresql-common,
+Depends: postgresql-common,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
