## pgbackrest 2.24

=== debian/changelog ===
pgbackrest (2.24-1) unstable; urgency=medium

  * Bug Fixes:
    - Prevent defunct processes in asynchronous archive commands.
    - Error when archive-get/archive-push/restore are not run on a PostgreSQL
      host.
    - Read HTTP content to eof when size/encoding not specified.
    - Fix resume when the resumable backup was created by Perl. In this case
      the resumable backup should be ignored, but the C code was not able to
      load the partial manifest written by Perl since the format differs
      slightly. Add validations to catch this case and continue gracefully.
  * Features:
    - Auto-select backup set on restore when time target is specified.
      Auto-selection is performed only when --set is not specified. If a backup
      set for the given target time cannot not be found, the latest (default)
      backup set will be used.
  * Improvements:
    - Skip pg_internal.init temp file during backup.
    - Add more validations to the manifest on backup.
  * Documentation Improvements:
    - Prevent lock-bot from adding comments to locked issues.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 26 Feb 2020 16:46:36 +0100
