=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libssl-dev,
                libxml-checker-perl,
                libxml2-dev,
-	       pkg-config,
+               pkg-config,
                txt2man,
                zlib1g-dev
 Standards-Version: 4.4.0
