=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"
 
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -10,6 +10,11 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	# src contains a seperate configure script.
+	cd $(CURDIR)/src && ./configure --prefix=/usr
+	dh_auto_configure
 
 override_dh_auto_build:
 	# Replace user name in doc cache with the current user
@@ -23,10 +28,7 @@
 	  -t pgbackrest \
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
-	# The Makefile doesn't accepts *FLAGS as environment variables.
-	# However, it offers a method to pass extra arguments via *EXTRA
-	# variable.
-	make -C $(CURDIR)/src/ CEXTRA="$(CFLAGS)" LDEXTRA="$(LDFLAGS)"
+	make -C $(CURDIR)/src/
 	dh_auto_build
 
 override_dh_auto_clean:
