## pgbackrest 2.28

=== debian/changelog ===
pgbackrest (2.28-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix restore --force acting like --force --delta. This caused
        restore to replace files based on timestamp and size rather than
        overwriting, which meant some files that should have been updated were
        left unchanged. Normal restore and restore --delta were not affected
        by this issue.
    - Features:
      * Azure support for repository storage.
      * Add expire-auto option. This allows automatic expiration after a
        successful backup to be disabled.
    - Improvements:
      * Asynchronous S3 multipart upload.
      * Automatic retry for backup, restore, archive-get, and archive-push.
      * Disable query parallelism in PostgreSQL sessions used for backup
        control.
      * PostgreSQL 13 beta2 support. Changes to the control/catalog/WAL
        versions in subsequent betas may break compatibility but pgBackRest
        will be updated with each release to keep pace.
      * Improve handling of invalid HTTP response status.
      * Improve error when pg1-path option missing for archive-get command.
      * Add hint when checksum delta is enabled after a timeline switch.
      * Use PostgreSQL instead of postmaster where appropriate.
    - Documentation Bug Fixes:
      * Fix incorrect example for repo-retention-full-type option.
      * Remove internal commands from HTML and man command references.
    - Documentation Improvements:
      * Update PostgreSQL versions used to build user guides. Also add
        version ranges to indicate that a user guide is accurate for a
        range of PostgreSQL versions even if it was built for a specific
        version.
      * Update FAQ for expiring a specific backup set.
      * Update FAQ to clarify default PITR behavior.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 23 Jul 2020 11:05:19 +0200

pgbackrest (2.27-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix issue checking if file links are contained in path links.
      * Allow pg-path1 to be optional for synchronous archive-push.
      * The expire command now checks if a stop file is present.
      * Handle missing reason phrase in HTTP response.
      * Increase buffer size for lz4 compression flush.
      * Ignore pg-host* and repo-host* options for the remote command.
      * Fix possibly missing pg1-* options for the remote command.
    - Features:
      * Time-based retention for full backups. The --repo-retention-full-type
        option allows retention of full backups based on a time period,
        specified in days.
      * Ad hoc backup expiration. Allow the user to remove a specified backup
        regardless of retention settings.
      * Zstandard compression support. Note that setting compress-type=zst
        will make new backups and archive incompatible (unrestorable) with
        prior versions of pgBackRest.
      * bzip2 compression support. Note that setting compress-type=bz2 will
        make new backups and archive incompatible (unrestorable) with prior
        versions of pgBackRest.
      * Add backup/expire running status to the info command.
    - Improvements:
      * Expire WAL archive only when repo-retention-archive threshold is met.
        WAL prior to the first full backup was previously expired after the
        first full backup. Now it is preserved according to retention
        settings.
      * Add local MD5 implementation so S3 works when FIPS is enabled.
      * PostgreSQL 13 beta1 support. Changes to the control/catalog/WAL
        versions in subsequent betas may break compatibility but pgBackRest
        will be updated with each release to keep pace.
      * Reduce buffer-size default to 1MiB.
      * Throw user-friendly error if expire is not run on repository host.
  * d/control: Update B-D to support new compression algorithms:
    - libbz2-dev and
    - libzstd-dev

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 27 May 2020 09:06:59 +0200

pgbackrest (2.26-1) unstable; urgency=medium

  * New Upstream Release:
    -  Bug Fixes:
      * Remove empty subexpression from manifest regular expression. MacOS was
        not happy about this though other platforms seemed to work fine.
    - Improvements:
      * Non-blocking TLS implementation.
      * Only limit backup copy size for WAL-logged files. The prior behavior
        could possibly lead to postgresql.conf or postgresql.auto.conf being
        truncated in the backup.
      * TCP keep-alive options are configurable.
      * Add io-timeout option.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 25 Apr 2020 12:58:04 +0200

pgbackrest (2.25-3) unstable; urgency=medium

  * d/rules: Add --bindir flag to configure.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 30 Mar 2020 11:33:53 +0200

pgbackrest (2.25-2) unstable; urgency=medium

  * d/control: Add liblz4-dev as B-D.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 29 Mar 2020 12:02:30 +0200

pgbackrest (2.25-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Adrian Vondendriesch ]
  * New Upstream Release:
   - Features:
     * Add lz4 compression support. Note that setting compress-type=lz4 will
       make new backups and archive incompatible (unrestorable) with prior
       versions of pgBackRest.
     * Add --dry-run option to the expire command. Use dry-run to see which
       backups/archive would be removed by the expire command without actually
       removing anything.
   - Improvements:
     * Improve performance of remote manifest build.
     * Fix detection of keepalive options on Linux.
     * Add configure host detection to set standards flags correctly.

