=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 9),
-               perl,
+               libbz2-dev,
+               liblz4-dev,
                libpq-dev,
                libssl-dev,
                libxml-checker-perl,
                libxml2-dev,
+               libzstd-dev,
+               perl,
                pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.4.0
-Homepage: http://www.pgbackrest.org/
+Standards-Version: 4.4.1
+Homepage: https://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest
 
 Package: pgbackrest
 Architecture: any
-Depends: postgresql-common,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
+Depends: postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Suggests: pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
