## pgbackrest 2.32

=== debian/changelog ===
pgbackrest (2.32-1.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 9.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 10 Feb 2021 18:28:28 +0100

pgbackrest (2.32-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix resume after partial delete of backup by prior resume.
    - Features:
      * Add repo-ls command.
      * Add repo-get command.
      * Add archive-mode-check option.
    - Improvements:
      * Improve archive-get performance.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 10 Feb 2021 18:28:28 +0100

pgbackrest (2.31-1) unstable; urgency=medium

  * d/control: Add check-pgbackrest in Suggests. (Closes: #970724)
  * New Upstream Release:
    - Bug Fixes:
      * Allow [, #, and space as the first character in database names.
      * Create standby.signal only on PostgreSQL 12 when restore type is
        standby.
    - Features:
      * Expire history files.
      * Report page checksum errors in info command text output.
      * Add repo-azure-endpoint option.
      * Add pg-database option.
    - Improvements:
      * Improve info command output when a stanza is specified but missing.
      * Improve performance of large file lists in backup/restore commands.
      * Add retries to PostgreSQL sleep when starting a backup.
    - Documentation Improvements:
      * Replace RHEL/CentOS 6 documentation with RHEL/CentOS 8.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 08 Dec 2020 13:14:27 +0100

pgbackrest (2.30-1) unstable; urgency=low

  * Bug Fixes:
    - Error with hints when backup user cannot read pg_settings.
  * Features:
    - PostgreSQL 13 support.
  * Improvements:
    - Improve PostgreSQL version identification.
    - Improve working directory error message.
    - Add hint about starting the stanza when WAL segment not found.
    - Add hint for protocol version mismatch.
  * Documentation Improvements:
    - Add note that pgBackRest versions must match when running remotely.
    - Move info command text to the reference and link to user guide.
    - Update yum repository path for CentOS/RHEL user guide.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 08 Oct 2020 17:28:15 +0200

pgbackrest (2.29-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 10.
  * Update standards version to 4.5.0, no changes needed.

  [ Adrian Vondendriesch ]
  * New Upstream Release:
    - Bug Fixes:
      * Suppress errors when closing local/remote processes. Since the
        command has completed it is counterproductive to throw an error but
        still warn to indicate that something unusual happened.
      * Fix issue with = character in file or database names.
    - Features:
      * Automatically retrieve temporary S3 credentials on AWS instances.
      * Add archive-mode option to disable archiving on restore.
    - Improvements:
      * PostgreSQL 13 beta3 support. Changes to the control/catalog/WAL
        versions in subsequent betas may break compatibility but pgBackRest
        will be updated with each release to keep pace.
      * Asynchronous list/remove for S3/Azure storage.
      * Improve memory usage of unlogged relation detection in manifest build.
      * Proactively close file descriptors after forking async process.
      * Delay backup remote connection close until after archive check.
      * Improve detailed error output.
      * Improve TLS error reporting.
    - Documentation Bug Fixes:
      * Add none to compress-type option reference and fix example.
      * Add missing azure type in repo-type option reference.
      * Fix typo in repo-cipher-type option reference.
    - Documentation Improvements:
      * Clarify that expire must be run regularly when expire-auto is
        disabled.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 03 Sep 2020 10:16:38 +0200
