=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest
@@ -24,7 +24,7 @@
 Package: pgbackrest
 Architecture: any
 Depends: postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Suggests: pgbackrest-doc
+Suggests: pgbackrest-doc, check-pgbackrest
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
  that can seamlessly scale up to the largest databases and workloads.
